Package com.microblink.blinkid.view

# Enum Class BaseCameraView.CameraViewState

java.lang.Object
java.lang.Enum<BaseCameraView.CameraViewState>
com.microblink.blinkid.view.BaseCameraView.CameraViewState

All Implemented Interfaces:
  `Serializable`, `Comparable<BaseCameraView.CameraViewState>`, `Constable`

Enclosing class:
  BaseCameraView

public static enum BaseCameraView.CameraViewState extends Enum<BaseCameraView.CameraViewState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATED`
  Indicates that create() has been called, next you need to call start() method
  `DESTROYED`
  View is in destroyed (destroy() has been called - all resources have been released) or initial state (nothing is yet loaded), you need to call create() method
  `RESUMED`
  Indicates that resume() has been called, view will soon initialize camera and start receiving frames
  `STARTED`
  Indicates that start() has been called, next you need to call resume() method

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BaseCameraView.CameraViewState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BaseCameraView.CameraViewState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DESTROYED

    public static final BaseCameraView.CameraViewState DESTROYED
    View is in destroyed (destroy() has been called - all resources have been released) or initial state (nothing is yet loaded), you need to call create() method

  - ### CREATED

    public static final BaseCameraView.CameraViewState CREATED
    Indicates that create() has been called, next you need to call start() method

  - ### STARTED

    public static final BaseCameraView.CameraViewState STARTED
    Indicates that start() has been called, next you need to call resume() method

  - ### RESUMED

    public static final BaseCameraView.CameraViewState RESUMED
    Indicates that resume() has been called, view will soon initialize camera and start receiving frames

- ## Method Details

  - ### values

    public static BaseCameraView.CameraViewState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BaseCameraView.CameraViewState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null